/* =========================
   Storeyed, 2026
   Site Developed by Ashmosphere
   ========================= */
   
/* ============================================== */

/* =========================
   COLOR SHEET
   ========================= */

:root {
  /* Backgrounds */
  --color-bg-main: #000000;
  --color-bg-box: #2D2D2D;
  --color-bg-content: #2B2B2B;
  --color-bg-darker: #161616;
  --color-bg-speech: #181818;
  --color-bg-light: #eeeeee;

  /* Text */
  --color-text-main: #ffffff;
  --color-text-subtitle: #acacac;
  --color-text-link: #1F8EE2;
  --color-text-link-hover: #76c4ff;
  --color-link-bg: #1f384b;

  /* Borders */
  --color-border-dark: #000000;
  --color-border-mid: #333333;
  --color-border-mid2: #4a4a4a;

  /* Effects */
  --color-shadow: rgba(0,0,0,0.3);

  /* Other */
  --color-highlight: yellow;
  --color-highlight-text: black;

  /* Accent */
  --color-accent: #0077cc;
}

/* =========================
   CURSORS
   ========================= */

/* =========================
   GLOBAL / BASE
   ========================= */

@font-face {
  font-family: 'Tahomish';
  src: url('../fnt/ultra.ttf') format('truetype');
}

body {
  margin: 0;
  font-family: 'Tahomish', sans-serif;
  background: #6682FE;
  display: flex;
  justify-content: center;
}

body {
  background-image: url("../img/bg/grid.gif");
}

body.dark {
  background-image: url("../img/bg/grid-dark.gif");
}

body.noanimation {
  background-image: url("../img/bg/grid.png");
}

body.darkNoanimation {
  background-image: url("../img/bg/grid-dark.png");
}

a {
  color: var(--color-text-link);
}

a:hover {
  color: var(--color-text-link-hover);
  background-color: var(--color-link-bg)
}

button:disabled {
    opacity: 0.5;
    cursor: not-allowed;
}

button {
  background: transparent;
  border: 6px solid transparent;
  border-image-source: url("../img/nav/button_small.png");
  border-image-slice: 8 fill;
  border-image-repeat: stretch;
  color: var(--color-text-main);
  cursor: pointer;
  font-family: 'Tahomish', sans-serif;
}

button.selected {
  border-image-source: url("../img/nav/button_small-active.png");
}

summary {
  margin-top: 10px;
  background: transparent;
  border: 6px solid transparent;
  border-image-source: url("../img/nav/button_small.png");
  border-image-slice: 8 fill;
  border-image-repeat: stretch;
  color: var(--color-text-main);
  cursor: pointer;
  font-family: 'Tahomish', sans-serif;
}

details[open] > summary {
  border-image-source: url("../img/nav/button_small-active.png");
}

::selection {
  background-color: var(--color-accent);
  color: var(--color-bg-main);           
}

::-moz-selection {
  background-color: var(--color-accent);
  color: var(--color-bg-main);
}

/* =========================
   LAYOUT
   ========================= */

.page {
  width: 910px;
  padding: 10px;
}

.container {
  display: flex;
  gap: 10px;
}

html,
body {
    scrollbar-gutter: stable;
}

/* =========================
   SCROLLBAR
   ========================= */
* {
  scrollbar-width: thin;
  scrollbar-color: var(--color-accent) var(--color-bg-main);
  border-radius: 0px;
}

::-webkit-scrollbar {
  width: 12px;
}

::-webkit-scrollbar-track {
  background: #1a1a24;
}

::-webkit-scrollbar-thumb {
  background: var(--color-accent);
  border-radius: 0px;
  border: 2px solid var(--color-accent);
}

::-webkit-scrollbar-thumb:hover {
  background: var(--color-accent);
}


/* =========================
   BOX TEMPLATE
   ========================= */

.box {
  background: var(--color-bg-box);
  border: 2px solid var(--color-border-dark);
  margin-bottom: 10px;
  border-radius: 12px 12px 0 0;
}

.page-box {
  background: var(--color-bg-box);
  margin-bottom: 10px;
  border-radius: 12px 12px 0 0;
}


/* =========================
   HEADER
   ========================= */

.header {
  height: 180px;
  background: url('../img/nav/header.png') no-repeat center/cover;
}


/* =========================
   SIDEBAR
   ========================= */

.sidebar {
  width: 220px;
  padding: 10px;
  border: 10px solid transparent;
  border-image-source: url("../img/nav/border.png");
  border-image-slice: 14 fill;
  border-image-repeat: stretch;
}

.sidebar-title {
  position: relative;
  z-index: 10;
  display: flex;
  align-items: center;

  font-size: 16px;
  font-weight: bold;
  color: var(--color-text-main);

  padding: 2px 10px 2px 36px;
  margin: -20px -19px 10px -19px;

  background: transparent;

  border: 10px solid transparent;
  border-image-source: url("../img/nav/header-box.png");
  border-image-slice: 14 fill;
  border-image-repeat: stretch;

  text-shadow: 1px 1px 0 var(--color-border-dark);
}

.sidebar-icon {
  position: absolute;
  left: -8px;
  top: 50%;
  transform: translateY(-50%);
  width: 34px;
  height: 34px;
}

.nav {
  display: flex;
  flex-direction: column;
  width: 220px;
}

.nav-btn {
  display: flex;
  align-items: center;

  margin-bottom: 4px;
  width: 100%;
  min-height: 48px;

  text-decoration: none;
  color: var(--color-text-main);

  border: 16px solid transparent;
  border-image-source: url("../img/nav/button.png");
  border-image-slice: 16 fill;
  border-image-repeat: stretch;

  box-sizing: border-box;
  background: none;
}

.nav-btn.active {
  border-image-source: url("../img/nav/button-active.png");
}

.nav-btn:hover {
  color: var(--color-text-main)
}

.nav-btn:hover {
  filter: brightness(1.1);
}

.nav-btn img {
  width: 20px;
  height: 20px;
  margin-right: 10px;
  transform: scale(1.5);
  transform-origin: center;
}

.sidebar-image img {
  width: 100%;
  display: block;
  margin-top: 10px;
  image-rendering: pixelated;
}

.button-group {
  display: flex;
  justify-content: center;
  gap: 10px;
  margin-top: 10px;
}

.button-group img {
  width: 88px;
  height: 31px;
  image-rendering: pixelated;
}

.counter {
  margin-top: 10px;
  text-align: center;
  font-family: monospace;
  border: 1px solid var(--color-border-dark);
  padding: 5px;
  background: var(--color-bg-light);
}

.sidebuttons {
  display: flex;
  flex-direction: column;
  gap: 10px;
  background-color: var(--color-bg-darker);
  color: var(--color-text-main);
  padding-bottom: 15px;
}

button.check-btn  {
    width: 30px;
    height: 30px;
    padding: 0;
    margin: 0;
    border: none;
    border: none;
    background: url("../img/nav/optionButton.png");
    background-repeat: no-repeat;
    background-position: center 100%;
    background-size: 20px 20px;
    transform: translateY(5px);
    cursor: pointer;
}

button.check-btn.selected  {
    width: 30px;
    height: 30px;
    padding: 0;
    margin: 0;
    border: none;
    border: none;
    background: url("../img/nav/optionButton-select.png");
    background-repeat: no-repeat;
    background-position: center 100%;
    background-size: 20px 20px;
    cursor: pointer;
}


/* =========================
   CONTENT BOX
   ========================= */

.content {
  width: 630px;
  padding: 15px;
  position: relative;

  border: 10px solid transparent;
  border-image-source: url("../img/nav/border.png");
  border-image-slice: 14 fill;
  border-image-repeat: stretch;
}

.page-content {
  width: 630px;
  padding: 15px;
  padding-top: 25px;
}

.characters {
  width: 860px;
  padding: 15px;
  position: relative;
  overflow: visible;

  border: 10px solid transparent;
  border-image-source: url("../img/nav/border.png");
  border-image-slice: 14 fill;
  border-image-repeat: stretch;
}

.content-row,
.content > div:not(.content-title) {
  margin-top: 20px;
}

.content-block {
  position: relative;

  background: var(--color-bg-content);
  margin-bottom: 20px;
  padding: 10px;

  border: 10px solid transparent;
  border-image-source: url("../img/nav/border.png");
  border-image-slice: 14 fill;
  border-image-repeat: stretch;

  overflow: visible;
}

.content-browser {
  position: relative;

  background: var(--color-bg-content);
  margin-bottom: 20px;
  padding: 10px;

  border: 10px solid transparent;
  border-image-source: url("../img/nav/border.png");
  border-image-slice: 14 fill;
  border-image-repeat: stretch;

  overflow: visible;
  height: 700px;
}

.content-title {
  position: relative;
  z-index: 10;

  display: flex;
  align-items: center;

  font-size: 18px;
  font-weight: bold;
  color: var(--color-text-main);

  padding: 2px 10px 2px 36px;
  margin: -25px -25px 10px -25px;

  background: transparent;

  border: 10px solid transparent;
  border-image-source: url("../img/nav/header-box.png");
  border-image-slice: 14 fill;
  border-image-repeat: stretch;

  text-shadow: 1px 1px 0 var(--color-border-dark);
}

.content-icon {
  position: absolute;
  left: -8px;
  top: 50%;
  transform: translateY(-50%);
  width: 32px;
  height: 32px;
}

.content-row {
  display: flex;
  gap: 12px;
  align-items: center;

  min-height: 160px;
  padding: 0 10px;
}

.iframe-container {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;

  padding-top: 0px; 
}

.iframe-container iframe {
  width: 100%;
  height: 100%;
  border: 0;
  display: block;
}

/* =========================
   WEBDECK
   ========================= */

.music-player {
  display: none;
  position: fixed;
  bottom: -50px;
  right: -140px;
  width: 600px;
  height: 243px;
  border: 0;
  z-index: 9999;
  background: transparent;

  -ms-zoom: 0.75;
  -moz-transform: scale(0.75);
  -moz-transform-origin: 0 0;
  -o-transform: scale(0.75);
  -o-transform-origin: 0 0;
  -webkit-transform: scale(0.75);
  -webkit-transform-origin: 0 0;

  border: 10px solid transparent;
  border-image-source: url("../img/nav/border-full.png");
  border-image-slice: 12 fill;
  border-image-repeat: stretch;
}

.optional-music-player {
  background: var(--color-bg-box);
  position: fixed;
  bottom: -10px;
  right: -125px;
  width: 500px;
  height: 55px;
  border: 0;
  z-index: 9999;

  -ms-zoom: 0.75;
  -moz-transform: scale(0.75);
  -moz-transform-origin: 0 0;
  -o-transform: scale(0.75);
  -o-transform-origin: 0 0;
  -webkit-transform: scale(0.75);
  -webkit-transform-origin: 0 0;

  border: 10px solid transparent;
  border-image-source: url("../img/nav/border-full.png");
  border-image-slice: 12 fill;
  border-image-repeat: stretch;
}


/* =========================
   STOREYED ICON
   ========================= */

.img-box {
  width: 140px;
  height: 140px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
  overflow: hidden;
}

.img-box img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  image-rendering: pixelated;
  image-rendering: crisp-edges;
}


/* =========================
   STOREYED SPEECH
   ========================= */

.speech {
  flex: 1;
  min-height: 140px;

  border: 2px solid var(--color-border-dark);
  background: var(--color-bg-speech);

  padding: 10px;
  box-sizing: border-box;

  position: relative;
  color: var(--color-text-main);
}

/* pain in my ass */
.left .speech::before {
  content: "";
  position: absolute;
  left: -12px;
  top: 50%;
  transform: translateY(-50%);

  border-width: 10px 10px 10px 0;
  border-style: solid;
  border-color: transparent var(--color-border-dark) transparent transparent;
}

.left .speech::after {
  content: "";
  position: absolute;
  left: -10px;
  top: 50%;
  transform: translateY(-50%);

  border-width: 9px 9px 9px 0;
  border-style: solid;
  border-color: transparent var(--color-bg-speech) transparent transparent;
}

.right {
  flex-direction: row-reverse;
}

.right .speech::before {
  content: "";
  position: absolute;
  right: -12px;
  top: 50%;
  transform: translateY(-50%);

  border-width: 10px 0 10px 10px;
  border-style: solid;
  border-color: transparent transparent transparent var(--color-border-dark);
}

.right .speech::after {
  content: "";
  position: absolute;
  right: -10px;
  top: 50%;
  transform: translateY(-50%);

  border-width: 9px 0 9px 9px;
  border-style: solid;
  border-color: transparent transparent transparent var(--color-bg-speech);
}


/* =========================
   FOOTER
   ========================= */

.footer {
  text-align: center;
  padding: 10px;
  font-size: 14px;

  border: 10px solid transparent;
  border-image-source: url("../img/nav/border-full.png");
  border-image-slice: 14 fill;
  border-image-repeat: stretch;

  color: var(--color-text-main);
}


/* =========================
   MISC
   ========================= */

iframe {
  width: 220px;
  height: 200px;
  border: 2px solid var(--color-border-mid);
  overflow: hidden;
}

.bold { font-weight: bold; }
.italic { font-style: italic; }
.underline { text-decoration: underline; }
.strikethrough { text-decoration: line-through; }

.highlight {
  background-color: var(--color-highlight);
  color: var(--color-highlight-text);
}

.small { font-size: 0.8em; }
.large { font-size: 1.5em; }

.colored {
  color: var(--color-accent);
}

.shadow {
  text-shadow: 2px 2px 4px var(--color-shadow);
}

.boxed {
  border: 2px solid var(--color-border-mid);
  padding: 10px;
  margin: 10px 0;
  background-color: var(--color-bg-main);
}

.char-browser {
  width: 540px;
  margin: 0 auto;
  color: var(--color-text-main);
}

.char-browser .cb-tabs {
  display: flex;
  gap: 6px;
  margin-bottom: 15px;
}

.char-browser .nav-btn {
  flex: 1;
  justify-content: center;
  cursor: pointer;
}

.char-browser .cb-tabs .nav-btn {
  font-family: 'Tahomish', sans-serif;
  text-size: 19px;
}

.char-browser .nav-btn.active {
  background-color: rgba(255,255,255,0.08);
}

.char-browser .cb-section {
  display: none;
}

.char-browser .cb-section.active {
  display: block;
}

.char-browser .cb-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 8px; /* was 15px */
}

.char-browser .cb-card {
  display: block;
  text-decoration: none;
  color: inherit;
  background-color: var(--color-bg-box);

  border-top: 2px solid #000000;
  border-left: 2px solid #000000;
  border-right: 2px solid var(--color-border-mid2);
  border-bottom: 2px solid var(--color-border-mid2);

  box-sizing: border-box;
  transition: 0.15s;
}

.char-browser .cb-card:hover {
  border-color: #ffffff;
}
.char-browser .cb-image-box {
  width: 100%;
  aspect-ratio: 1 / 1;
  background-color: var(--color-bg-content);
  overflow: hidden;

  display: flex;
  align-items: center;
  justify-content: center;
}

.char-browser .cb-main-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.char-browser .cb-username-bar {
  background-color: #000;
  text-align: center;
  padding: 4px 4px;
  border-top: 1px solid #333;
}

.char-browser .cb-username {
  margin: 0;
  font-size: 14px;
}

.cb-img {
  width: 100%;
  height: 120px;
  object-fit: cover;
  display: block;
}

.cb-name {
  background: #000;
  text-align: center;
  padding: 4px;
  margin: 0;
  font-size: 14px;
  border-top: 1px solid #333;
}

/* =========================
   CHARACTERS
   ========================= */

.cw-container {
  width: 810px;
  margin: 20px auto;
  color: var(--color-text-main);
}

.cw-box {
  margin: 12px 0;
  background-color: var(--color-bg-darker);

  border-top: 2px solid #000000;
  border-left: 2px solid #000000;
  border-right: 2px solid var(--color-border-mid2);
  border-bottom: 2px solid var(--color-border-mid2);
}

.cw-box-header {
  padding: 10px 12px;
  font-weight: bold;
  background: var(--color-bg-content);
  border-bottom: 1px solid var(--color-border-mid2);
}

.cw-box-header-top {
  padding: 10px 12px;
  font-weight: bold;
  background: var(--color-bg-content);
  border-bottom: 1px solid var(--color-border-mid2);
  font-size: 20px;
}

.cw-box-body {
  padding: 12px;
}

.cw-tabs {
  display: flex;
  gap: 6px;
  padding: 8px;
  background: #000;
  border: 1px solid var(--color-border-mid);
}

.cw-tab {
  padding: 6px 16px;
  font-size: 13px;
  cursor: pointer;
  color: white;

  border: 16px solid transparent;
  border-image-source: url("../img/nav/button.png");
  border-image-slice: 16 fill;
  border-image-repeat: stretch;

  background: transparent;
  user-select: none;
}

.cw-tab.active {
  filter: brightness(1.2);
}

.cw-tabs a:hover {
  cursor: pointer;
}

.cw-tabs a.active {
    text-decoration: underline;
    color: var(--color-text-link-hover)
}

.cw-page {
  display: none;
}

.cw-page.active {
  display: block;
}

.cw-layout {
  display: flex;
  gap: 20px;
}

.cw-left { flex: 2; }
.cw-right { flex: 1; }

.cw-info img {
  width: 100%;
  height: auto;
  max-height: 320px;
  object-fit: contain;
  border: 1px solid var(--color-border-mid2);
  margin-bottom: 10px;
}

.cw-rel {
  display: flex;
  align-items: flex-start;
  gap: 12px;

  background: var(--color-bg-speech);
  padding: 10px;
  border: 1px solid var(--color-border-mid2);
}

.cw-rel img {
  width: 80px;
  height: 80px;
  object-fit: cover;
  border: 1px solid var(--color-border-mid2);
}

.cw-rel p {
  margin: 0;
}

.cw-rel-header {
  display: flex;
  align-items: center;
  gap: 8px;
}

.cw-role-tag {
  font-size: 11px;
  padding: 2px 6px;
  border: 1px solid var(--color-border-mid2);
  background: var(--color-bg-box);
}

.cw-info-table {
  width: 100%;
  border-collapse: collapse;
}

.cw-info-table td {
  border: 1px solid var(--color-border-mid2);
  padding: 6px;
}

ul {
  padding-left: 18px;
  line-height: 1.5;
}

.cw-gallery {
  display: flex;
  gap: 10px;
  overflow-x: auto;
}

.cw-gallery img {
  height: 200px;
  border: 1px solid var(--color-border-mid2);
}

.characterpage {
  display: none;
}

.characterpage.show {
    display: block;
}

/* =========================
   EXTRAS
   ========================= */

.card {
    color: var(--color-text-main);
    width: 530px;
    display: flex;
    border: 1px solid;
    background: var(--color-bg-speech);
    border-color: var(--color-border-mid);

    border-top: 2px solid #000000;
    border-left: 2px solid #000000;
    border-right: 2px solid var(--color-border-mid2);
    border-bottom: 2px solid var(--color-border-mid2);
}

.card-image {
    width: 200px;
    flex-shrink: 0;
    border-right: 1px solid;
    border-color: var(--color-border-mid);
}

.card-image {
    width: 200px;
    flex-shrink: 0;

    display: flex;
    justify-content: center;
    align-items: center;

    border-right: 1px solid;
    background: var(--color-bg-speech);
    border-color: var(--color-border-mid);
    overflow: hidden;
}

.card-image img {
    width: 75%;
    height: 75%;
    aspect-ratio: 1 / 1;
    object-fit: contain;

    image-rendering: pixelated;
    image-rendering: crisp-edges;
}

.card-content {
    flex: 1;
    display: flex;
    flex-direction: column;
}

.section {
    padding: 7px 11px;
}

.section:not(:last-child) {
    border-bottom: 1px dotted;
    border-color: var(--color-border-mid2);
}

.section h3 {
    margin-top: 5px;
    margin-bottom: 5px;
}

.section a:before {
  content: '→ ';
}

/* =========================
   GALLERY
   ========================= */
.gallery {
    width: 540px;
    margin: auto;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 16px;
    color: var(--color-text-main);
    margin-top: 35px;
}

.art-piece {
    display: flex;
    flex-direction: column;
}

.thumb {
    aspect-ratio: 1 / 1;
    overflow: hidden;
    background: var(--color-border-mid2);

    border-top: 2px solid #000000;
    border-left: 2px solid #000000;
    border-right: 2px solid var(--color-border-mid2);
    border-bottom: 2px solid var(--color-border-mid2);
}

.thumb:hover {
    border: 2px solid var(--color-border-mid2);
}

.thumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    transition: transform .3s ease;
}

.thumb:hover img {
    filter: brightness(1.2);
    cursor: pointer;
}

.info {
    margin-top: 8px;
    text-align: center;
}

.info .title {
    margin-bottom: 4px;
    display: none;
}

.tags {
    font-size: 0.85em;
    color: white;
}

.gallery-pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    color: var(--color-text-main)
}

.gallery-pagination input {
    width: 60px;
    text-align: center;
    font-family: 'Tahomish', sans-serif;
}

.art-piece.hidden {
    display: none;
}


/* =========================
   AUDIO
   ========================= */
audio {
    display: block;
    width: 500px;
    height: 56px;
    background: #000;
    border: 2px solid #fff;
    border-radius: 0;
    box-sizing: border-box;
    font-family: "Tahomish", sans-serif;
}

audio::-webkit-media-controls-enclosure {
    background: #000;
    border-radius: 0;
    font-family: "Tahomish", sans-serif;
}

audio::-webkit-media-controls-panel {
    background: #222222;
    border-radius: 0;
    font-family: "Tahomish", sans-serif;
}

audio::-webkit-media-controls-play-button,
audio::-webkit-media-controls-mute-button,
audio::-webkit-media-controls-fullscreen-button,
audio::-webkit-media-controls-overflow-button {
    filter: invert(1);
}

audio::-webkit-media-controls-current-time-display,
audio::-webkit-media-controls-time-remaining-display {
    color: #fff;
    font-family: "Tahomish", sans-serif;
    text-shadow: none;
}

/* Brightens the timeline as much as WebKit allows */
audio::-webkit-media-controls-timeline {
    margin-left: 16px;
    margin-right: 16px;
    min-width: 240px;
}

audio:focus {
    outline: none;
    box-shadow: 0 0 0 1px #fff;
}

/* =========================
   LIGHTBOX
   ========================= */

#lightbox{
    position:fixed;
    inset:0;
    background:rgba(0,0,0,.9);
    display:none;
    justify-content:center;
    align-items:center;
    z-index:999;
}

#lightbox-content{
    max-width:90vw;
    max-height:90vh;
    text-align:center;
}

#lightbox-content img{
    max-width:90vw;
    max-height:75vh;
    display:block;
    margin:auto;

    border: 2px solid var(--color-border-mid);
    background-color: var(--color-bg-main);
}

.lightbox-info{
    margin-top:15px;
    padding:15px;

    border: 2px solid var(--color-border-mid);
    padding: 10px;
    margin: 10px 0;
    background-color: var(--color-bg-main);

    color:white;
}

.lightbox-info .title{
    color:white;
    font-size:20px;
    font-weight:bold;
    margin-bottom:6px;
}

.lightbox-info .tags{
    color:#ddd;
}

#close-lightbox{
    position:absolute;
    top:30px;
    right:20px;

    width:50px;
    height:50px;

    color:white;
    font-size:15px;
    cursor:pointer;

    transition:.2s;

    border: 2px solid var(--color-border-mid);
    padding: 4px;
    margin: 4px 0;
    background-color: var(--color-bg-main);

}

.gallery .description{
    display:none;
}

.lightbox-info .description{
    display:block;

    margin-top:12px;
    padding-top:12px;

    border-top:1px solid #666;

    color:#ddd;
    line-height:1.5;
}

